Confluenceconnector v1.0

Version 1.0

Connector Overview: This page documents all 74 actions for the Confluenceconnector v1.0.

View API Documentation

Attachment (4)

GET Get attachment by id

/attachments/{id}

Returns a specific attachment.

Permissions required:
Permission to view the attachment's container.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the attachment to be returned. If you don't know the attachment's ID, use Get attachments for page/blogpost/custom content.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get attachments for blog post

/blogposts/{id}/attachments

Returns the attachments of specific blog post. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post for which attachments should be returned.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Mediatype

Filters on the mediaType of attachments. Only one may be specified.

Filename

Filters on the file-name of attachments. Only one may be specified.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get attachments for custom content

/custom-content/{id}/attachments

Returns the attachments of specific custom content. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the custom content and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the custom content for which attachments should be returned.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Mediatype

Filters on the mediaType of attachments. Only one may be specified.

Filename

Filters on the file-name of attachments. Only one may be specified.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get attachments for page

/pages/{id}/attachments

Returns the attachments of specific page. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page for which attachments should be returned.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Mediatype

Filters on the mediaType of attachments. Only one may be specified.

Filename

Filters on the file-name of attachments. Only one may be specified.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

Blog Post (7)

POST Create blog post

/blogposts

Creates a new blog post in the space specified by the spaceId.

By default this will create the blog post as a non-draft, unless the status is specified as draft.
If creating a non-draft, the title must not be empty.

Currently only supports the storage representation specified in the body.representation enums below

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Spaceid

ID of the space

Status

The status of the blog post, specifies if the blog post will be created as a new blog post or a draft

Title

Title of the blog post, required if creating non-draft.

DELETE Delete blog post

/blogposts/{id}

Delete a blog post by id.

Permissions required:
Permission to view the blog post and its corresponding space. Permission to delete blog posts in the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post to be deleted.

Response Type

The response format expected from the API (e.g. application/json).

GET Get blog post by id

/blogposts/{id}

Returns a specific blog post.

Permissions required:
Permission to view the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post to be returned. If you don't know the blog post ID, use Get blog posts and filter the results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Get-draft

Retrieve the draft version of this blog post.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get blog posts

/blogposts

Returns all blog posts. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only blog posts that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of blog posts per result to return. If more results exist, use the Link response header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get blog posts for label

/labels/{id}/blogposts

Returns the blogposts of specified label. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the label for which blog posts should be returned.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of blog posts per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get blog posts in space

/spaces/{id}/blogposts

Returns all blog posts in a space. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and view the space.
Only blog posts that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the space for which blog posts should be returned.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of blog posts per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update blog post

/blogposts/{id}

Update a blog post by id.

Permissions required:
Permission to view the blog post and its corresponding space. Permission to update blog posts in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post to be updated. If you don't know the blog post ID, use Get Blog Posts and filter the results.

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

Id of the blog post.

Status

The status of the blog post.

Title

Title of the blog post.

Spaceid

ID of the containing space.

Children (2)

GET Get child custom content

/custom-content/{id}/children

Returns all child custom content for given custom content id. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only custom content that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the parent custom content. If you don't know the custom content ID, use Get custom-content and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get child pages

/pages/{id}/children

Returns all child pages for given page id. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only pages that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the parent page. If you don't know the page ID, use Get pages and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

Comment (14)

POST Create footer comment

/footer-comments

Create a footer comment. This can be at the top level (specifying pageId or blogPostId in the request body)
or as a reply (specifying parentCommentId in the request body).

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Blogpostid

ID of the containing blog post, if intending to create a top level footer comment. Do not provide if creating a reply.

Pageid

ID of the containing page, if intending to create a top level footer comment. Do not provide if creating a reply.

Parentcommentid

ID of the parent comment, if intending to create a reply. Do not provide if creating a top level comment.

POST Create inline comment

/inline-comments

Create an inline comment. This can be at the top level (specifying pageId or blogPostId in the request body)
or as a reply (specifying parentCommentId in the request body). Note the inlineCommentProperties object in the
request body is used to select the text the inline comment should be tied to. This is what determines the text
highlighting when viewing a page in Confluence.

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Blogpostid

ID of the containing blog post, if intending to create a top level footer comment. Do not provide if creating a reply.

Pageid

ID of the containing page, if intending to create a top level footer comment. Do not provide if creating a reply.

Parentcommentid

ID of the parent comment, if intending to create a reply. Do not provide if creating a top level comment.

DELETE Delete footer comment

/footer-comments/{comment-id}

Deletes a footer comment. This is a permanent deletion and cannot be reverted.

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be retrieved.

Response Type

The response format expected from the API (e.g. application/json).

DELETE Delete inline comment

/inline-comments/{comment-id}

Deletes an inline comment. This is a permanent deletion and cannot be reverted.

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be deleted.

Response Type

The response format expected from the API (e.g. application/json).

GET Get children footer comments

/footer-comments/{id}/children

Returns the children footer comments of specific comment. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the parent comment for which footer comment children should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of footer comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get children inline comments

/inline-comments/{id}/children

Returns the children inline comments of specific comment. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the parent comment for which inline comment children should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of footer comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get footer comment by id

/footer-comments/{comment-id}

Retrieves a footer comment by id

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be retrieved.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get footer comments for blog post

/blogposts/{id}/footer-comments

Returns the root footer comments of specific blog post. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post for which footer comments should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of footer comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get footer comments for page

/pages/{id}/footer-comments

Returns the root footer comments of specific page. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page for which footer comments should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of footer comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get inline comment by id

/inline-comments/{comment-id}

Retrieves an inline comment by id

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be retrieved.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get inline comments for blog post

/blogposts/{id}/inline-comments

Returns the root inline comments of specific blog post. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post for which inline comments should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of inline comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get inline comments for page

/pages/{id}/inline-comments

Returns the root inline comments of specific page. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page for which inline comments should be returned.

Body-format

The content format type to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of inline comments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update footer comment

/footer-comments/{comment-id}

Update a footer comment. This can be used to update the body text of a comment.

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be retrieved.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update inline comment

/inline-comments/{comment-id}

Update an inline comment. This can be used to update the body text of a comment and/or to resolve the comment

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment to be retrieved.

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Resolved

-| Resolved state of the comment. Set to true to resolve the comment, set to false to reopen it. If matching the existing state (i.e. true -> resolved or false -> open/reopened) , no change will occur. A dangling comment cannot be updated.

Content Properties (10)

GET Get content properties for attachment

/attachments/{attachment-id}/properties

Retrieves all Content Properties tied to a specified attachment.

Permissions required:
Permission to view the attachment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Attachment-id

The ID of the attachment for which content properties should be returned.

Key

Filters the response to return a specific content property with matching key (case sensitive).

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content properties for blog post

/blogposts/{blogpost-id}/properties

Retrieves all Content Properties tied to a specified blog post.

Permissions required:
Permission to view the blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Blogpost-id

The ID of the blog post for which content properties should be returned.

Key

Filters the response to return a specific content property with matching key (case sensitive).

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content properties for comment

/comments/{comment-id}/properties

Retrieves Content Properties attached to a specified comment.

Permissions required:
Permission to view the comment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment for which content properties should be returned.

Key

Filters the response to return a specific content property with matching key (case sensitive).

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content properties for custom content

/custom-content/{custom-content-id}/properties

Retrieves Content Properties tied to a specified custom content.

Permissions required:
Permission to view the custom content.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Custom-content-id

The ID of the custom content for which content properties should be returned.

Key

Filters the response to return a specific content property with matching key (case sensitive).

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content properties for page

/pages/{page-id}/properties

Retrieves Content Properties tied to a specified page.

Permissions required:
Permission to view the page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Page-id

The ID of the page for which content properties should be returned.

Key

Filters the response to return a specific content property with matching key (case sensitive).

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of attachments per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content property for attachment by id

/attachments/{attachment-id}/properties/{property-id}

Retrieves a specific Content Property by ID that is attached to a specified attachment.

Permissions required:
Permission to view the attachment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Attachment-id

The ID of the attachment for which content properties should be returned.

Property-id

The ID of the content property to be returned

Response Type

The response format expected from the API (e.g. application/json).

GET Get content property for blog post by id

/blogposts/{blogpost-id}/properties/{property-id}

Retrieves a specific Content Property by ID that is attached to a specified blog post.

Permissions required:
Permission to view the blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Blogpost-id

The ID of the blog post for which content properties should be returned.

Property-id

The ID of the property being requested

Response Type

The response format expected from the API (e.g. application/json).

GET Get content property for comment by id

/comments/{comment-id}/properties/{property-id}

Retrieves a specific Content Property by ID that is attached to a specified comment.

Permissions required:
Permission to view the comment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Comment-id

The ID of the comment for which content properties should be returned.

Property-id

The ID of the content property being requested.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content property for custom content by id

/custom-content/{custom-content-id}/properties/{property-id}

Retrieves a specific Content Property by ID that is attached to a specified custom content.

Permissions required:
Permission to view the page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Custom-content-id

The ID of the custom content for which content properties should be returned.

Property-id

The ID of the content property being requested.

Response Type

The response format expected from the API (e.g. application/json).

GET Get content property for page by id

/pages/{page-id}/properties/{property-id}

Retrieves a specific Content Property by ID that is attached to a specified page.

Permissions required:
Permission to view the page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Page-id

The ID of the page for which content properties should be returned.

Property-id

The ID of the content property being requested.

Response Type

The response format expected from the API (e.g. application/json).

Custom Content (8)

POST Create custom content

/custom-content

Creates a new custom content in the given space, page, blogpost or other custom conent.

Only one of spaceId, pageId, blogPostId, or customContentId is required in the request body.
Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to create custom content in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (7)

Option Name

Description

Type

Type of custom content.

Status

The status of the custom content

Spaceid

ID of the containing space

Pageid

ID of the containing page

Blogpostid

ID of the containing Blog Post

Customcontentid

ID of the containing custom content

Title

Title of the custom content

DELETE Delete custom content

/custom-content/{id}

Delete a custom content by id.

Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to delete custom content in the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the custom content to be deleted.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content by id

/custom-content/{id}

Returns a specific piece of custom content.

Permissions required:
Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the custom content to be returned. If you don't know the custom content ID, use Get Custom Content by Type and filter the results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Note: If the custom content body type is storage, the storage and atlas_doc_format body formats are able to be returned. If the custom content body type is raw, only the raw body format is able to be returned.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content by type

/custom-content

Returns all custom content for a given type. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Type

The type of custom content being requested. See: https://developer.atlassian.com/cloud/confluence/custom-content/ for additional details on custom content.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Note: If the custom content body type is storage, the storage and atlas_doc_format body formats are able to be returned. If the custom content body type is raw, only the raw body format is able to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content by type in blog post

/blogposts/{id}/custom-content

Returns all custom content for a given type within a given blogpost. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the custom content, the container of the custom content (blog post), and the corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post for which custom content should be returned.

Type

The type of custom content being requested. See: https://developer.atlassian.com/cloud/confluence/custom-content/ for additional details on custom content.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Note: If the custom content body type is storage, the storage and atlas_doc_format body formats are able to be returned. If the custom content body type is raw, only the raw body format is able to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content by type in page

/pages/{id}/custom-content

Returns all custom content for a given type within a given page. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the custom content, the container of the custom content (page), and the corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page for which custom content should be returned.

Type

The type of custom content being requested. See: https://developer.atlassian.com/cloud/confluence/custom-content/ for additional details on custom content.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Note: If the custom content body type is storage, the storage and atlas_doc_format body formats are able to be returned. If the custom content body type is raw, only the raw body format is able to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content by type in space

/spaces/{id}/custom-content

Returns all custom content for a given type within a given space. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the custom content and the corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the space for which custom content should be returned.

Type

The type of custom content being requested. See: https://developer.atlassian.com/cloud/confluence/custom-content/ for additional details on custom content.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Note: If the custom content body type is storage, the storage and atlas_doc_format body formats are able to be returned. If the custom content body type is raw, only the raw body format is able to be returned.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update custom content

/custom-content/{id}

Update a custom content by id.

spaceId is always required and maximum one of pageId, blogPostId, or customContentId is allowed in the request body.
Permissions required:
Permission to view the content of the page or blogpost and its corresponding space. Permission to update custom content in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the custom content to be updated. If you don't know the custom content ID, use Get Custom Content by Type and filter the results.

Response Type

The response format expected from the API (e.g. application/json).

Options (8)

Option Name

Description

Id

Id of custom content.

Type

Type of custom content.

Status

The status of the custom content

Spaceid

ID of the containing space

Pageid

ID of the containing page

Blogpostid

ID of the containing Blog Post

Customcontentid

ID of the containing custom content

Title

Title of the custom content

Label (4)

GET Get labels for attachment

/attachments/{id}/labels

Returns the labels of specific attachment. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the parent content of the attachment and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the attachment for which labels should be returned.

Prefix

Filter the results to labels based on their prefix.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of labels per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get labels for blog post

/blogposts/{id}/labels

Returns the labels of specific blog post. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post for which labels should be returned.

Prefix

Filter the results to labels based on their prefix.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of labels per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get labels for custom content

/custom-content/{id}/labels

Returns the labels for a specific piece of custom content. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the custom content and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the custom content for which labels should be returned.

Prefix

Filter the results to labels based on their prefix.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of labels per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get labels for page

/pages/{id}/labels

Returns the labels of specific page. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page for which labels should be returned.

Prefix

Filter the results to labels based on their prefix.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of labels per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

Page (7)

POST Create page

/pages

Creates a page in the space.

Pages are created as published by default unless specified as a draft in the status field. If creating a published page, the title must be specified.

Permissions required:
Permission to view the corresponding space. Permission to create a page in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Spaceid

ID of the space

Parentid

ID of the parent page, or null if there is no parent page.

Status

The status of the page, published or draft.

Title

Title of the page, required if page status is not draft.

DELETE Delete page

/pages/{id}

Delete a page by id.

Permissions required:
Permission to view the page and its corresponding space. Permission to delete pages in the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page to be deleted.

Response Type

The response format expected from the API (e.g. application/json).

GET Get page by id

/pages/{id}

Returns a specific page.

Permissions required:
Permission to view the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page to be returned. If you don't know the page ID, use Get pages and filter the results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Get-draft

Retrieve the draft version of this page.

Version

Allows you to retrieve a previously published version. Specify the previous version's number to retrieve its details.

Response Type

The response format expected from the API (e.g. application/json).

GET Get pages

/pages

Returns all pages. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only pages that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get pages for label

/labels/{id}/pages

Returns the pages of specified label. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to view the content of the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the label for which pages should be returned.

Sort

Used to sort the result by a particular field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get pages in space

/spaces/{id}/pages

Returns all pages in a space. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
Only pages that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the space for which pages should be returned.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update page

/pages/{id}

Update a page by id.

Permissions required:
Permission to view the page and its corresponding space. Permission to update pages in the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page to be updated. If you don't know the page ID, use Get Pages and filter the results.

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

Id of the page.

Status

The status of the page.

Title

Title of the page.

Spaceid

ID of the containing space.

Space Properties (5)

POST Create space property in space

/spaces/{space-id}/properties

Creates a new space property.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Space-id

The ID of the space for which space properties should be returned.

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Key

Key of the space property

Value

Value of the space property.

DELETE Delete space property by id

/spaces/{space-id}/properties/{property-id}

Deletes a space property by its id.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Space-id

The ID of the space the property belongs to.

Property-id

The ID of the property to be deleted.

Response Type

The response format expected from the API (e.g. application/json).

GET Get space properties in space

/spaces/{space-id}/properties

Returns all properties for the given space. Space properties are a key-value storage associated with a space.
The limit parameter specifies the maximum number of results returned in a single response. Use the link response header
to paginate through additional results.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Space-id

The ID of the space for which space properties should be returned.

Key

The key of the space property to retrieve. This should be used when a user knows the key of their property, but needs to retrieve the id for use in other methods.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of pages per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

GET Get space property by id

/spaces/{space-id}/properties/{property-id}

Retrieve a space property by its id.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Space-id

The ID of the space the property belongs to.

Property-id

The ID of the property to be retrieved.

Response Type

The response format expected from the API (e.g. application/json).

PUT Update space property by id

/spaces/{space-id}/properties/{property-id}

Update a space property by its id.

Permissions required:
Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Space-id

The ID of the space the property belongs to.

Property-id

The ID of the property to be updated.

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Key

Key of the space property

Value

Value of the space property.

Space (2)

GET Get space by id

/spaces/{id}

Returns a specific space.

Permissions required:
Permission to view the space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the space to be returned.

Description-format

The content format type to be returned in the description field of the response. If available, the representation will be available under a response field of the same name under the description field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get spaces

/spaces

Returns all spaces. The results will be sorted by id ascending. The number of results is limited by the limit parameter and
additional results (if available) will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only spaces that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Ids

Filter the results to spaces based on their IDs. Multiple IDs can be specified as a comma-separated list.

Keys

Filter the results to spaces based on their keys. Multiple keys can be specified as a comma-separated list.

Type

Filter the results to spaces based on their type.

Status

Filter the results to spaces based on their status.

Labels

Filter the results to spaces based on their labels. Multiple labels can be specified as a comma-separated list.

Sort

Used to sort the result by a particular field.

Description-format

The content format type to be returned in the description field of the response. If available, the representation will be available under a response field of the same name under the description field.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of spaces per result to return. If more results exist, use the Link response header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

Task (2)

GET Get task by id

/tasks/{id}

Returns a specific task.

Permissions required:
Permission to view the containing page or blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the task to be returned. If you don't know the task ID, use Get tasks and filter the results.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get tasks

/tasks

Returns all tasks. The number of results is limited by the limit parameter and additional results (if available)
will be available through the next URL present in the Link response header.

Permissions required:
Permission to access the Confluence site ('Can use' global permission).
Only tasks that the user has permission to view will be returned.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Body-format

The content format types to be returned in the body field of the response. If available, the representation will be available under a response field of the same name under the body field.

Include-blank-tasks

Specifies whether to include blank tasks in the response. Defaults to true.

Status

Filters on the status of the task.

Space-id

Filters on the space ID of the task. Multiple IDs can be specified.

Page-id

Filters on the page ID of the task. Multiple IDs can be specified. Note - passing both page and blog post filters will result in an empty response.

Blogpost-id

Filters on the blog post ID of the task. Multiple IDs can be specified. Note - passing both page and blog post filters will result in an empty response.

Created-by

Filters on the Account ID of the user who created this task. Multiple IDs can be specified.

Assigned-to

Filters on the Account ID of the user to whom this task is assigned. Multiple IDs can be specified.

Completed-by

Filters on the Account ID of the user who completed this task. Multiple IDs can be specified.

Created-at-from

Filters on start of date-time range of task based on creation date (inclusive). Input is epoch time in milliseconds.

Created-at-to

Filters on end of date-time range of task based on creation date (inclusive). Input is epoch time in milliseconds.

Due-at-from

Filters on start of date-time range of task based on due date (inclusive). Input is epoch time in milliseconds.

Due-at-to

Filters on end of date-time range of task based on due date (inclusive). Input is epoch time in milliseconds.

Completed-at-from

Filters on start of date-time range of task based on completion date (inclusive). Input is epoch time in milliseconds.

Completed-at-to

Filters on end of date-time range of task based on completion date (inclusive). Input is epoch time in milliseconds.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of tasks per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Response Type

The response format expected from the API (e.g. application/json).

Version (9)

GET Get attachment versions

/attachments/{id}/versions

Returns the versions of specific attachment.

Permissions required:
Permission to view the attachment and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the attachment to be queried for its versions. If you don't know the attachment ID, use Get attachments and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get blog post versions

/blogposts/{id}/versions

Returns the versions of specific blog post.

Permissions required:
Permission to view the blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the blog post to be queried for its versions. If you don't know the blog post ID, use Get blog posts and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get custom content versions

/custom-content/{custom-content-id}/versions

Returns the versions of specific custom content.

Permissions required:
Permission to view the custom content and its corresponding page and space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Custom-content-id

The ID of the custom content to be queried for its versions. If you don't know the custom content ID, use Get custom-content by type and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get page versions

/pages/{id}/versions

Returns the versions of specific page.

Permissions required:
Permission to view the page and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the page to be queried for its versions. If you don't know the page ID, use Get pages and filter the results.

Cursor

Used for pagination, this opaque cursor will be returned in the next URL in the Link response header. Use the relative URL in the Link header to retrieve the next set of results.

Limit

Maximum number of versions per result to return. If more results exist, use the Link header to retrieve a relative URL that will return the next set of results.

Sort

Used to sort the result by a particular field.

Response Type

The response format expected from the API (e.g. application/json).

GET Get version details for attachment version

/attachments/{attachment-id}/versions/{version-number}

Retrieves version details for the specified attachment and version number.

Permissions required:
Permission to view the attachment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Attachment-id

The ID of the attachment for which version details should be returned.

Version-number

The version number of the attachment to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get version details for blog post version

/blogposts/{blogpost-id}/versions/{version-number}

Retrieves version details for the specified blog post and version number.

Permissions required:
Permission to view the blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Blogpost-id

The ID of the blog post for which version details should be returned.

Version-number

The version number of the blog post to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get version details for custom content version

/custom-content/{custom-content-id}/versions/{version-number}

Retrieves version details for the specified custom content and version number.

Permissions required:
Permission to view the page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Custom-content-id

The ID of the custom content for which version details should be returned.

Version-number

The version number of the custom content to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get version details for footer comment version

/footer-comments/{id}/versions/{version-number}

Retrieves version details for the specified footer comment version.

Permissions required:
Permission to view the content of the page or blog post and its corresponding space.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Id

The ID of the footer comment for which version details should be returned.

Version-number

The version number of the footer comment to be returned.

Response Type

The response format expected from the API (e.g. application/json).

GET Get version details for page version

/pages/{page-id}/versions/{version-number}

Retrieves version details for the specified page and version number.

Permissions required:
Permission to view the page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Page-id

The ID of the page for which version details should be returned.

Version-number

The version number of the page to be returned.

Response Type

The response format expected from the API (e.g. application/json).